#version 330 
// From Vertex Shader
in vec3 vcolor;
in vec2 vpos; // Distance from local origin
in vec2 uvcoord; //UV coordinate
in float valpha;

// Application data
uniform sampler2D s_texture;
uniform float s_texture_weight;

// Output color
layout(location = 0) out  vec4 color;

void main()
{
	vec4 texColor = texture(s_texture, vec2(uvcoord.x, uvcoord.y));
	vec4 coloredTexture  = vec4(texColor.a * vcolor.xyz, texColor.a * valpha);
	color = (1.0 - s_texture_weight) * coloredTexture + (s_texture_weight * texColor);
}