#version 330 
// Input attributes
in vec3 in_position;
in vec3 in_color;
in vec2 in_uvcoord;

// Passed to fragment shader
out vec3 vcolor;
out vec2 vpos;
out vec2 uvcoord;

// Application data
uniform mat3 transform;
uniform mat3 projection;

void main()
{
	uvcoord = in_uvcoord;
	vpos = in_position.xy;
	vcolor = in_color;
	vec3 pos = projection * transform * vec3(in_position.xy, 1.0);
	gl_Position = vec4(pos.xy, in_position.z, 1.0);
}